Page MenuHomePhabricator

action=info times out with an unfriendly error message on certain pages
Closed, ResolvedPublic

Description

Go to a page like https://en.wikipedia.org/wiki/Wikipedia:Sandbox?action=info. The following message appears, without any skin interface:

A database query error has occurred. This may indicate a bug in the software.

    Function: InfoAction::pageCounts
    Error: 2013 Lost connection to MySQL server during query (10.64.48.27)

Presumably what this really means is that some sort of internal timeout has occurred.

Ideally the error should be reported in a more friendly fashion. It is not, after all, a "bug in the software" that the error occurs; it's just a DB timeout.

Or, even better, handle these internal timeouts more cleanly and just present the action=info page without the unavailable information.

Event Timeline

TTO created this task.Jul 15 2015, 2:34 AM
TTO raised the priority of this task from to Needs Triage.
TTO updated the task description. (Show Details)
TTO added a subscriber: TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 2:34 AM
demon added a subscriber: demon.Jul 15 2015, 2:39 AM

Maybe T67332 is the underlying bug?

Reedy added a subscriber: Reedy.Jul 15 2015, 2:39 AM

I think we have a long running query killer. So handling better would be a good start

demon triaged this task as Normal priority.Jul 15 2015, 2:41 AM

Does this happen anywhere outside en.wiki, by the way? The English Wikipedia is special because it has a separate server for watchlist queries (as IIRC no other one has). Are we using it when appropriate? Is 10.64.48.27 that one?

Nemo_bis set Security to None.
Krenair added a subscriber: Krenair.EditedJul 16 2015, 8:41 PM

Does this happen anywhere outside en.wiki, by the way? The English Wikipedia is special because it has a separate server for watchlist queries (as IIRC no other one has). Are we using it when appropriate? Is 10.64.48.27 that one?

10.64.48.27 = db1072, but s1's server with watchlist listed in wmf-config/db-eqiad.php is db1055 (10.64.32.25).
We're not using that specific group for watchlist queries in action=info. I'll upload a patch to do that.

Change 225227 had a related patch set uploaded (by Alex Monk):
InfoAction: Use watchlist query group for watchlist queries

https://gerrit.wikimedia.org/r/225227

Change 225227 merged by jenkins-bot:
InfoAction: Use watchlist query group for watchlist queries

https://gerrit.wikimedia.org/r/225227

Do we just want to leave this open and see if the situation improves when this arrives on wikipedias?

Thank for the quick patch! Yes, no hurry to close.

TTO added a comment.Jul 27 2015, 1:23 PM

The situation is no different to before. Did the patch really go out with 1.26wmf15?

Elitre added a subscriber: Elitre.Jul 29 2015, 3:55 PM
TTO closed this task as Resolved.Oct 17 2015, 12:26 PM
TTO claimed this task.

Seems to work properly now! It was kinda slow the first time I visited https://en.wikipedia.org/wiki/Wikipedia:Sandbox?action=info, but subsequently it is very fast. I wonder what changed?

Interesting indeed, several other pathological cases seem fine too now. Curiously, just yesterday we had

10:41 jynus: potential extra load on mediawiki recent changes and watchlist on enwiki, please report any slowdown